
class CharStack {

	char[] store;
	int next;

	CharStack() {
		this.store = new char[8];
		this.next = 0;
	}

	boolean isEmpty() {
		return this.next == 0;
	}

	void push(char value) {
		ensureCapacity();
		this.store[this.next] = value;
		next++;
	}

	char pop() {
		if (!this.isEmpty()) {
			next--;
			return this.store[this.next];
		}
		return 0; // Fehler! Wird spaeter via Exceptions gehandhabt
	}

	void ensureCapacity() {
		if (next == store.length) {
			char[] buffer = new char[store.length * 2];
			for (int i = 0; i < store.length; i++) {
				buffer[i] = store[i];
			}
			store = buffer;
		}
	}
}
