class Child {
	private int number;
	private Child next;

	Child(int n) {
		this.number = n;
		this.next = null;
	}

	public int getNumber() {
		return number;
	}

	public Child getNext() {
		return next;
	}

	public void setNext(Child next) {
		this.next = next;
	}
}

public class CountingOutRhyme4 {
	public static void main(String[] argv) {
		final int n = 6; // n children
		final int m = 5; // each m child is dropped out

		Child current = new Child(0);
		Child first = current;
		for (int i = 1; i < n; i++) {
			Child child = new Child(i);
			current.setNext(child);
			current = child;
		}
		current.setNext(first);

		while (current != current.getNext()) {
			for (int i = 1; i < m; i++) {
				current = current.getNext();
			}
			System.out.println(current.getNext().getNumber());
			current.setNext(current.getNext().getNext());
		}
		System.out.println(current.getNumber());

	}
}
