
class QueueElement {
	int value;
	QueueElement next;

	QueueElement(int v, QueueElement n) {
		value = v;
		next = n;
	}
}

class LinkedQueue {

	QueueElement top;

	LinkedQueue() {
		top = null;
	}

	boolean isFull() {
		return false;
	}

	boolean isEmpty() {
		return top == null;
	}

	boolean enqueue(int value) {
		top = new QueueElement(value, top);
		return true;
	}

	int dequeue() {
		if (!this.isEmpty()) {
			QueueElement before = null;
			QueueElement elem = top;
			while (elem.next != null) {
				before = elem;
				elem = elem.next;
			}
			int result = elem.value;
			if (before == null) { // only one elem
				top = null;
			} else {
				before.next = null;
			}
			return result;
		}
		return 0; // Fehler! Wird spaeter via Exceptions gehandhabt
	}

	// Testprogramm
	public static void main(String[] args) {
		LinkedQueue queue = new LinkedQueue();
		for (int i = 0; i < 10; i++) {
			queue.enqueue(i);
		}
		while (!queue.isEmpty()) {
			System.out.println(queue.dequeue());
		}
	}
}
