
public class PalindromeCheck {

	public static void main(String[] args) {
		final int number = 123454321;

		Stack stack = new Stack();
		Queue queue = new Queue();

		int n = number;
		while (n > 0) {
			int last = n % 10;
			n = n / 10;
			stack.push(last);
			queue.enqueue(last);
		}

		while (!stack.isEmpty()) {
			if (stack.pop() != queue.dequeue()) {
				System.out.println(number + " ist kein Palindrom");
				return;
			}
		}

		System.out.println(number + " ist ein Palindrom");

	}

}
